NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.SphericalCornerBuilder Class Reference

Represents a NXOpen.Features.SphericalCorner builder More...

Inheritance diagram for NXOpen.Features.SphericalCornerBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe double AngleTol [get, set]
 Returns or sets the Angular Tolerance More...
 
unsafe double DistanceTol [get, set]
 Returns or sets the Distance Tolerance More...
 
unsafe NXOpen.Point HelpPoint [get, set]
 Returns or sets the Help point acquired from the first face set selection More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the Radius of the spherical corner More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetData 
Wall1 [get]
 Returns the wall faces 1 More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetData 
Wall2 [get]
 Returns the wall faces 2 More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetData 
Wall3 [get]
 Returns the wall faces 3 More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SphericalCorner builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSphericalCornerBuilder

Default values.

Property Value

Radius.Value

5 (millimeters part), 0.25 (inches part)

Created in NX8.5.0

Property Documentation

unsafe double NXOpen.Features.SphericalCornerBuilder.AngleTol
getset

Returns or sets the Angular Tolerance

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SphericalCornerBuilder.DistanceTol
getset

Returns or sets the Distance Tolerance

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.SphericalCornerBuilder.HelpPoint
getset

Returns or sets the Help point acquired from the first face set selection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.SphericalCornerBuilder.Radius
get

Returns the Radius of the spherical corner

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceSetData NXOpen.Features.SphericalCornerBuilder.Wall1
get

Returns the wall faces 1

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceSetData NXOpen.Features.SphericalCornerBuilder.Wall2
get

Returns the wall faces 2

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceSetData NXOpen.Features.SphericalCornerBuilder.Wall3
get

Returns the wall faces 3

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.